Bug 1542256 - --tlsauthtype does not work (documentation only change)
Summary: --tlsauthtype does not work (documentation only change)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: curl
Version: 7.4
Hardware: All
OS: All
low
low
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Robin Hack
URL:
Whiteboard:
Depends On:
Blocks: 1549617 1549689 1551061
TreeView+ depends on / blocked
 
Reported: 2018-02-05 23:05 UTC by Chris Cheney
Modified: 2018-10-30 10:42 UTC (History)
6 users (show)

Fixed In Version: curl-7.29.0-48.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-10-30 10:40:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3157 None None None 2018-10-30 10:42:09 UTC

Description Chris Cheney 2018-02-05 23:05:06 UTC
$ curl --tlsauthtype SRP --list-only
curl: option --tlsauthtype: the installed libcurl version doesn't support this
curl: try 'curl --help' or 'curl --manual' for more information

---

$ curl --help | grep tls
 -1, --tlsv1         Use => TLSv1 (SSL)
     --tlsv1.0       Use TLSv1.0 (SSL)
     --tlsv1.1       Use TLSv1.1 (SSL)
     --tlsv1.2       Use TLSv1.2 (SSL)
     --tlsuser USER  TLS username
     --tlspassword STRING TLS password
     --tlsauthtype STRING  TLS authentication type (default SRP)

---

man curl

       --tlsauthtype <authtype>
              Set TLS  authentication  type.  Currently,  the  only  supported
              option  is  "SRP",  for  TLS-SRP  (RFC  5054).  If --tlsuser and
              --tlspassword are specified but --tlsauthtype is not, then  this
              option defaults to "SRP".  (Added in 7.21.4)

       --tlspassword <password>
              Set  password  for use with the TLS authentication method speci‐
              fied with --tlsauthtype. Requires that --tlsuser  also  be  set.
              (Added in 7.21.4)

       --tlsuser <user>
              Set  username  for use with the TLS authentication method speci‐
              fied with --tlsauthtype. Requires  that  --tlspassword  also  be
              set.  (Added in 7.21.4)

---

Looking at configure in the srpm it appears that --enable-tls-srp must be specified for it to actually work which is not in the spec file.

Comment 3 Kamil Dudka 2018-02-06 11:43:04 UTC
(In reply to Chris Cheney from comment #0)
> Looking at configure in the srpm it appears that --enable-tls-srp must be
> specified for it to actually work which is not in the spec file.

Unfortunately, it is not that easy.  You would need to link libcurl with OpenSSL or GnuTLS whereas RHEL-7 libcurl is linked with NSS.  And even with OpenSSL, the TLS-SRP support was introduced in Fedora just recently because of legal reasons (and it broke ABI compatibility with libcurl).  See bug #1462211 comment #4.

Comment 7 Kamil Dudka 2018-02-12 09:39:12 UTC
Yes, we should mention that --tlsauthtype works only if the support for TLS-SRP is compiled in.

Comment 8 Kamil Dudka 2018-02-12 12:40:57 UTC
I have created a pull request upstream:

https://github.com/curl/curl/pull/2306

Comment 9 Kamil Dudka 2018-02-12 17:13:27 UTC
upstream commit:

https://github.com/curl/curl/commit/08029a7e

Comment 17 errata-xmlrpc 2018-10-30 10:40:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3157


Note You need to log in before you can comment on or make changes to this bug.